import '../../Css/Dashboard.css'
import React, {useState} from 'react'

import Map from './Map';
import Visualiser from './Visualiser';
export const Dashboard = () => {
  const [data, setData] = useState({province: "", id: ""});

  const handlerFunction = (Region_data) => {
    setData(Region_data)
}
  return (
    <div className='container'>
      <div className='map_container' id="d3_map"></div>
      <Map handlerFunction={handlerFunction}/>

      <div className='table_container'>
        <Visualiser Regiondata = {data}/>
      </div>
    </div>
  )
}

// <Map handlerFunction={handlerFunction}/>