import React, { useState } from 'react';
import { Routes, Route } from "react-router-dom";

import '../../Css/Form.css';
import { SignInForm } from './SignInForm';
import { SignUpForm } from './SignUpForm';

function Form() {
  const [isLoginFormVisible, setIsLoginFormVisible] = useState(true);

  const toggleForm = () => {
    setIsLoginFormVisible(!isLoginFormVisible);

  };
  
  return (
    <div>
    {isLoginFormVisible ? (
      <SignInForm onRegisterClick={toggleForm} />
    ) : (
      <SignUpForm onLoginClick={toggleForm} />
    )}
  </div>
  );
}

export default Form;
