from flask import Blueprint, current_app, jsonify, request
from flask_security import auth_required, logout_user, verify_password, login_user

auth = Blueprint("auth", __name__)


@auth.route("/logout", methods=["POST"])
@auth_required()
def logout():
    logout_user()
    return jsonify(success=True)


@auth.route("/api/stats")
@auth_required()
def get_data():
    pass