import React, { useState } from 'react';
import '../../Css/SignForm.css';
//React-icons imports
import { MdEmail } from "react-icons/md";
import { FaUser } from "react-icons/fa";
import { FaLock } from "react-icons/fa";


export const SignUpForm = ({ onLoginClick }) => {

    const [username, setUsername] = useState('');
    const [email, setEmail] = useState('');
    const [password, setPassword] = useState('');
    const [passwordRepeat, setPasswordRepeat] = useState('');
    const handleLoginClick = () => {
        // Call the onLoginClick function passed as prop
        onLoginClick();
      };
    // State reactive handler functions
    const handleUsernameChange = (e) => {
      setUsername(e.target.value);
    };
    const handleEmailChange = (e) => {
        setEmail(e.target.value);
    };
    const handlePasswordChange = (e) => {
      setPassword(e.target.value);
    };
    const handlePasswordRepeatChange = (e) => {
        setPasswordRepeat(e.target.value);
    };

    const handleRegister = async (e) => {
      e.preventDefault();
      /*
       try {
        const response = await REST.post('your-api-endpoint/login', {
          username,
          password
        });
        console.log('Login successful!', response.data);
        // Redirect user to another page upon successful login
        history.push('/dashboard'); // Example: redirect to '/dashboard' route
      } catch (error) {
        console.error('Login failed!', error);
        // Handle login error, display message to the user, etc.
      }
      */
        console.log("Register attempt with username: " + username+ " and password:" +password);
        // Redirect user to another page upon successful login
  
      
    };
  return (
    <div className='wrapper'>
    <form onSubmit={handleRegister}>    
        <h1>Register</h1>
        <div className="input-box">
            <input type="email" placeholder='Email' value={email} onChange={handleEmailChange} required/>
            <MdEmail className='icon'/>
        </div>
        <div className="input-box">
            <input type="text" placeholder='Username' value={username} onChange={handleUsernameChange} required/>
            <FaUser className='icon'/>
        </div>
        <div className="input-box">
            <input type="password" placeholder='Password' value={password} onChange={handlePasswordChange} required/>
            <FaLock className='icon'/>
        </div>
        <div className="input-box">
            <input type="password" placeholder='Repeat Password' value={passwordRepeat} onChange={handlePasswordRepeatChange} required/>
            <FaLock className='icon'/>
        </div>
        <div className="register-link">
                <p>Already have an account? <a href="#" onClick={handleLoginClick}>Log in</a></p>
              
            </div>
        <button style={{marginTop: 20  }} type='submit'>Register</button>
    
    </form>

</div>
  )
}
